<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['codigo']) $codigoBarras=urldecode($_GET['codigo']); else $codigoBarras=urldecode($codigoBarras=$_POST['codigo']);
if($_GET['articulo']) $articulo=$_GET['articulo']; else $articulo=$_POST['articulo'];
if($_GET['clientePropietario']) $clientePropietario=$_GET['clientePropietario']; else $clientePropietario=$_POST['clientePropietario'];

//26-1-2022 A partir del error de Antir, nos damos cuenta que a veces la empresa no es la mimsa en la OP que en el login
if($_GET['empresaOrden']) $empresaOrden=$_GET['empresaOrden']; else if($_POST['empresaOrden']) $empresaOrden=$_POST['empresaOrden']; else $empresaOrden=$_SESSION['empresa'];


// NOTA: Aunque "DATOSCODIGOBARRAS" depende del método SGARecepcionPedido no obtiene solo productos de pedidos pendientes de recepcion
// sino que da todos los productos relacionados con ese código en esa empresa. Por eso usamos esto en varias pantallas y no solo en "Entradas"
$peticion='SGARecepcionPedido#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DATOSCODIGOBARRAS#'.$empresaOrden.';'.$codigoBarras.'#'.$clientePropietario;
$proveedores=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo '<p>'.$peticion.'</p>';
	print_r($resultado);
}
	
$codigos=arreglaArrayPXMobileProxiumResult($resultado);
	
foreach($codigos as $producto) {
	
	if($producto['Codigo']==$articulo) {
		echo $producto['Codigo']."#".$producto['Tipo'].'#'.$producto['EmbalajePrimarioCaja'].'#'.$producto['Descripcion'].'#'.$producto['TieneGestionFCaducidad'].'#'.$producto['TieneGestionLotes'].'#'.$producto['TieneGestionNSerie'].'#'.$producto['PosicionPicking'];
	}
	
}

?>